RESTinio

Functions
gzwrite.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Functions
int gz_init | OF ((gz_statep))
int gz_comp | OF ((gz_statep, int))
int gz_zero | OF ((gz_statep, z_off64_t))
z_size_t gz_write | OF ((gz_statep, voidpc, z_size_t))
int | gz_init (gz_statep state)
int | gz_comp (gz_statep state, int flush)
int | gz_zero (gz_statep state, z_off64_t len)
z_size_t | gz_write (gz_statep state, voidpc buf, z_size_t len)
int ZEXPORT | gzwrite (gzFile file, voidpc buf, unsigned len)
z_size_t ZEXPORT | gzfwrite (voidpc buf, z_size_t size, z_size_t nitems, gzFile file)
int ZEXPORT | gzputc (gzFile file, int c)
int ZEXPORT | gzputs (gzFile file, const char *str)
int ZEXPORTVA | gzprintf (gzFile file, const char *format, int a1, int a2, int a3, int a4, int a5, int a6, int a7, int a8, int a9, int a10, int a11, int a12, int a13, int a14, int a15, int a16, int a17, int a18, int a19, int a20)
int ZEXPORT | gzflush (gzFile file, int flush)
int ZEXPORT | gzsetparams (gzFile file, int level, int strategy)
int ZEXPORT | gzclose_w (gzFile file)

## Function Documentation

## ◆ gz_comp()

int gz_comp | ( | gz_statep | state,
|  | int | flush
| ) |  |

Definition at line 73 of file gzwrite.c.

## ◆ gz_init()

int gz_init | ( | gz_statep | state | ) |

Definition at line 17 of file gzwrite.c.

## ◆ gz_write()

z_size_t gz_write | ( | gz_statep | state,
|  | voidpc | buf,
|  | z_size_t | len
| ) |  |

Definition at line 178 of file gzwrite.c.

## ◆ gz_zero()

int gz_zero | ( | gz_statep | state,
|  | z_off64_t | len
| ) |  |

Definition at line 145 of file gzwrite.c.

## ◆ gzclose_w()

int ZEXPORT gzclose_w | ( | gzFile | file | ) |

Definition at line 627 of file gzwrite.c.

## ◆ gzflush()

int ZEXPORT gzflush | ( | gzFile | file,
|  | int | flush
| ) |  |

Definition at line 553 of file gzwrite.c.

## ◆ gzfwrite()

z_size_t ZEXPORT gzfwrite | ( | voidpc | buf,
|  | z_size_t | size,
|  | z_size_t | nitems,
|  | gzFile | file
| ) |  |

Definition at line 274 of file gzwrite.c.

## ◆ gzprintf()

int ZEXPORTVA gzprintf | ( | gzFile | file,
|  | const char * | format,
|  | int | a1,
|  | int | a2,
|  | int | a3,
|  | int | a4,
|  | int | a5,
|  | int | a6,
|  | int | a7,
|  | int | a8,
|  | int | a9,
|  | int | a10,
|  | int | a11,
|  | int | a12,
|  | int | a13,
|  | int | a14,
|  | int | a15,
|  | int | a16,
|  | int | a17,
|  | int | a18,
|  | int | a19,
|  | int | a20
| ) |  |

Definition at line 465 of file gzwrite.c.

## ◆ gzputc()

int ZEXPORT gzputc | ( | gzFile | file,
|  | int | c
| ) |  |

Definition at line 304 of file gzwrite.c.

## ◆ gzputs()

int ZEXPORT gzputs | ( | gzFile | file,
|  | const char * | str
| ) |  |

Definition at line 352 of file gzwrite.c.

## ◆ gzsetparams()

int ZEXPORT gzsetparams | ( | gzFile | file,
|  | int | level,
|  | int | strategy
| ) |  |

Definition at line 585 of file gzwrite.c.

## ◆ gzwrite()

int ZEXPORT gzwrite | ( | gzFile | file,
|  | voidpc | buf,
|  | unsigned | len
| ) |  |

Definition at line 246 of file gzwrite.c.

## ◆ OF() [1/4]

int gz_init OF | ( | (gz_statep) |  | ) |

## ◆ OF() [2/4]

int gz_comp OF | ( | (gz_statep, int) |  | ) |

## ◆ OF() [3/4]

z_size_t gz_write OF | ( | (gz_statep, voidpc, z_size_t) |  | ) |

## ◆ OF() [4/4]

int gz_zero OF | ( | (gz_statep, z_off64_t) |  | ) |